Bug 167706 - Overflow in /proc/diskstats on 64-bit systems
Overflow in /proc/diskstats on 64-bit systems
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2005-09-07 10:12 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 11:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
genhd.diff (1.56 KB, patch)
2005-09-07 10:12 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-09-07 10:12:06 EDT
On 64-bit machines, some values exported by /proc/diskstats, and then used by
iostat, can overflow.

For example:
Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz
avgqu-sz   await  svctm  %util
sda          5.50   0.00 143.96  0.00 307496983987862656.00    0.00
153748491993931328.00     0.00 2136028725038430.00     7.94   55.12   5.59  80.42

The patch attached seems to fix those problems, but might cause problems with
the soft kABI. Patch is from Ben Woodward <woodward@redhat.com>
Comment 1 Bastien Nocera 2005-09-07 10:12:07 EDT
Created attachment 118561 [details]
genhd.diff
Comment 2 Bastien Nocera 2005-09-07 10:14:46 EDT
That's Ben Woodard <woodard@redhat.com>. Sorry Ben ;)

Note You need to log in before you can comment on or make changes to this bug.